pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: glib 2.18 instability

On Sat, 27 Sep 2008, OBATA Akio wrote:
On Sat, 27 Sep 2008 10:24:59 +0900, Jared D. McNeill 
<> wrote:

Hey folks --

Ever since updating to glib 2.18 on multiple machines, GTK/GNOME
applications have been flaky, to say the least. I've seen it on both
upgraded and fresh installations, both with native xorg and pkgsrc xorg.

Is anybody else seeing these issues? Since pkgsrc is in freeze in
preparation for 2008Q3, maybe it makes sense to rollback to 2.16.x which
was working very well for us, and look at 2.18 again after the branch
when we can upgrade gtk and gnome to 2.24 all in one shot.

I have no trouble with glib 2.18, but heard some issues.
Then I asked a week ago if I should revert the update or not,
but no response from pkgsrc-releng yet...

I have seen randomly issues (and I don't think I'm alone) with gedit, totem, gnome-terminal, and most recently gnome-panel itself crashed. It hasn't been consistent; gnome-terminal may fail on one faster machine (Pentium D 805) and startup on another (EeePC). I've seen totem crash when attempting to open a file, and then it worked the second try.


Home | Main Index | Thread Index | Old Index